> ## Documentation Index
> Fetch the complete documentation index at: https://docs.onepay.la/llms.txt
> Use this file to discover all available pages before exploring further.

# Detalle tarjeta

> Endpoint para obtener los detalles de una tarjeta de crédito o débito registrada en OnePay.

**card\_id** `string` *required*

ID de la tarjeta tokenizada. [Ver cómo registrar tarjetas](https://docs.onepay.la/client/cards/create.md).

> [tab] curl
>
> ```bash theme={null}
> curl https://api.onepay.la/v1/cards/bb02b2fd-154c-4c90-9fdf-cec3a0b25cf5 \
>   -H "Authorization: Bearer sk_test_KjbE0Vobf5Lg1yNZ4HoKawDItDs3Rod9VXNBWrEYmGn06tkesPIi"
> ```

> [tab] JavaScript
>
> ```ts theme={null}
> const response = await fetch(
>   'https://api.onepay.la/v1/cards/bb02b2fd-154c-4c90-9fdf-cec3a0b25cf5',
>   {
>     headers: {
>       'Authorization': 'Bearer sk_test_KjbE0Vobf5Lg1yNZ4HoKawDItDs3Rod9VXNBWrEYmGn06tkesPIi',
>     },
>   }
> );
> const card = await response.json();
> ```

> [tab] Python
>
> ```python theme={null}
> import requests
>
> response = requests.get(
>     'https://api.onepay.la/v1/cards/bb02b2fd-154c-4c90-9fdf-cec3a0b25cf5',
>     headers={'Authorization': 'Bearer sk_test_KjbE0Vobf5Lg1yNZ4HoKawDItDs3Rod9VXNBWrEYmGn06tkesPIi'},
> )
> card = response.json()
> ```

**id** `string`

Identificador único de la tarjeta (UUID).

**brand** `string`

Marca de la tarjeta. Valores posibles: `Visa`, `Mastercard`, `Amex`, `Diners`.

**label** `string`

Etiqueta de la tarjeta en formato `Marca • últimos 4 dígitos`.

**last\_four** `string`

Últimos 4 dígitos de la tarjeta.

**expiration\_date** `string`

Fecha de expiración en formato `MM/YYYY`.

**customer\_id** `string`

ID del cliente (guest) al que pertenece la tarjeta.

**created\_at** `string`

Fecha de creación en formato ISO 8601.

**country** `string`

Código de país de emisión de la tarjeta (ISO 3166-1 alpha-2).

```json 200 theme={null}
{
  "id": "9e01eeae-2868-4564-9d04-84d1d1d027d2",
  "brand": "Mastercard",
  "label": "Mastercard • 8099",
  "last_four": "8099",
  "expiration_date": "9/2026",
  "customer_id": "9df8018b-6a28-4696-b7b2-63615f34a2f5",
  "created_at": "2025-01-19T18:29:25.000000Z",
  "country": "CO"
}
```

```json 404 theme={null}
{
  "message": "Registro no encontrado, CreditCard no existe",
  "code": 10002,
  "code_name": "record_not_found"
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.